var forza4 = [];
var nColonne = 7;
var nLinee = 6;
var player1 = "x";
var player2 = "o";

forza4 = initTable(nLinee, nColonne,0);
mostraForza4(forza4, player1, player2);
forza4[3][3] = 1;
forza4[4][4] = 2;
mostraForza4(forza4, player1, player2);

/**
 * Permette di initializzare una tabella in una tabella in funzione di un numero di linee e di colonne messe come parametri
 * @param {*} nLinee
 * @param {*} nColonne
 * @param {*} element
 * @returns
 */
function initTable(nLinee, nColonne, element = '')
{
    var tab = [];
    for(var i = 0; i < nLinee; i++)
    {
        var linea = [];
        for(var j = 0; j < nColonne; j++)
        {
            linea.push(element);
        }
        tab.push(linea);
    }
    return tab;
}

/**
 * Permette di mostrare una tabella in stile forza 4
 * @param {*} tab
 * @param {*} p1el
 * @param {*} p2el
 */
function mostraForza4(tab, p1el, p2el)
{
    for(var i = 0; i < tab.length; i++)
    {
        var linea = "";
        for(var j = 0; j < tab[i].length; j++)
        {
            linea += "| ";
            if(tab[i][j] === 0)
            {
                linea += "_";
            }
            else if(tab[i][j] === 1)
            {
                linea += p1el;
            }
            else if(tab[i][j] === 2)
            {
                linea += p2el;
            }
            linea += "| ";
        }
        console.log(linea);
    }
}
